package com.fs.company.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 通话记录对象 company_voice_logs
 *
 * @author fs
 * @date 2021-10-04
 */
public class CompanyVoiceLogs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long voiceId;

    /** 公司名 */
    @Excel(name = "公司id")
    private Long companyId;

    @Excel(name = "公司名")
    private String companyName;

    /** 标题 */
    @Excel(name = "标题")
    private String voiceTitle;

    /** 录音地址 */
    @Excel(name = "录音地址")
    private String voiceUrl;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date finishTime;

    /** 通话类型 */
    @Excel(name = "通话类型")
    private Integer voiceType;

    /** 主叫 */
    @Excel(name = "主叫")
    private String callerPhone;

    /** 被叫 */
    @Excel(name = "被叫")
    private String calleePhone;

    /** 时长 */
    @Excel(name = "时长")
    private Long times;


    /** 主叫显示号 */
    @Excel(name = "主叫显示号")
    private String displayCallerNumber;

    /** 被叫显示号 */
    @Excel(name = "被叫显示号")
    private String displayCalleeNumber;

    private String sessionId;

    private String remark;

    private Long companyUserId;

    private Integer status;

    private Long customerId;

    private Integer source;


    @Excel(name = "计费")
    private Long billingTime;
    private Long apiId;
    private String callerNo;

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    public String getCallerNo() {
        return callerNo;
    }

    public void setCallerNo(String callerNo) {
        this.callerNo = callerNo;
    }

    public Long getApiId() {
        return apiId;
    }

    public void setApiId(Long apiId) {
        this.apiId = apiId;
    }

    public Long getVoiceId() {
        return voiceId;
    }

    public void setVoiceId(Long voiceId) {
        this.voiceId = voiceId;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public String getVoiceTitle() {
        return voiceTitle;
    }

    public void setVoiceTitle(String voiceTitle) {
        this.voiceTitle = voiceTitle;
    }

    public String getVoiceUrl() {
        return voiceUrl;
    }

    public void setVoiceUrl(String voiceUrl) {
        this.voiceUrl = voiceUrl;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public Integer getVoiceType() {
        return voiceType;
    }

    public void setVoiceType(Integer voiceType) {
        this.voiceType = voiceType;
    }

    public String getCallerPhone() {
        return callerPhone;
    }

    public void setCallerPhone(String callerPhone) {
        this.callerPhone = callerPhone;
    }

    public String getCalleePhone() {
        return calleePhone;
    }

    public void setCalleePhone(String calleePhone) {
        this.calleePhone = calleePhone;
    }

    public Long getTimes() {
        return times;
    }

    public void setTimes(Long times) {
        this.times = times;
    }

    public String getDisplayCallerNumber() {
        return displayCallerNumber;
    }

    public void setDisplayCallerNumber(String displayCallerNumber) {
        this.displayCallerNumber = displayCallerNumber;
    }

    public String getDisplayCalleeNumber() {
        return displayCalleeNumber;
    }

    public void setDisplayCalleeNumber(String displayCalleeNumber) {
        this.displayCalleeNumber = displayCalleeNumber;
    }

    public String getSessionId() {
        return sessionId;
    }

    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getCompanyUserId() {
        return companyUserId;
    }

    public void setCompanyUserId(Long companyUserId) {
        this.companyUserId = companyUserId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }

    public Long getBillingTime() {
        return billingTime;
    }

    public void setBillingTime(Long billingTime) {
        this.billingTime = billingTime;
    }
}
